Bug 1282575 - Review Request: pmix - Exascale version of PMI
Review Request: pmix - Exascale version of PMI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 14:03 EST by Orion Poplawski
Modified: 2016-03-09 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 12:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-11-16 14:03:24 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/pmix.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/pmix-1.1.1-1.fc24.src.rpm

Description: 
The Process Management Interface (PMI) has been used for quite some time as
a means of exchanging wireup information needed for interprocess
communication. Two versions (PMI-1 and PMI-2) have been released as part of
the MPICH effort. While PMI-2 demonstrates better scaling properties than its
PMI-1 predecessor, attaining rapid launch and wireup of the roughly 1M
processes executing across 100k nodes expected for exascale operations remains
challenging.

PMI Exascale (PMIx) represents an attempt to resolve these questions by
providing an extended version of the PMI standard specifically designed to
support clusters up to and including exascale sizes. The overall objective of
the project is not to branch the existing pseudo-standard definitions - in
fact, PMIx fully supports both of the existing PMI-1 and PMI-2 APIs - but
rather to (a) augment and extend those APIs to eliminate some current
restrictions that impact scalability, and (b) provide a reference
implementation of the PMI-server that demonstrates the desired level of
scalability.

Fedora Account System Username: orion
Comment 1 Antonio Trande 2016-03-08 08:35:04 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

- [!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     135 files have unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1282575-pmix/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pmix-
     debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: pmix-1.1.1-1.fc25.x86_64.rpm
          pmix-devel-1.1.1-1.fc25.x86_64.rpm
          pmix-debuginfo-1.1.1-1.fc25.x86_64.rpm
          pmix-1.1.1-1.fc25.src.rpm
pmix.x86_64: W: spelling-error Summary(en_US) Exascale -> Scale
pmix.x86_64: W: spelling-error %description -l en_US Exascale -> Scale
pmix.x86_64: W: shared-lib-calls-exit /usr/lib64/libpmix.so.2.0.0 exit@GLIBC_2.2.5
pmix-devel.x86_64: W: only-non-binary-in-usr-lib
pmix.src: W: spelling-error Summary(en_US) Exascale -> Scale
pmix.src: W: spelling-error %description -l en_US Exascale -> Scale
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pmix-debuginfo-1.1.1-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/FedoraReview/1282575-pmix/srpm/pmix.spec	2016-03-08 12:11:11.141141877 +0100
+++ /home/sagitter/FedoraReview/1282575-pmix/srpm-unpacked/pmix.spec	2015-11-16 18:47:45.000000000 +0100
@@ -14,21 +14,5 @@
 
 %description
-The Process Management Interface (PMI) has been used for quite some time as
-a means of exchanging wireup information needed for interprocess
-communication. Two versions (PMI-1 and PMI-2) have been released as part of
-the MPICH effort. While PMI-2 demonstrates better scaling properties than its
-PMI-1 predecessor, attaining rapid launch and wireup of the roughly 1M
-processes executing across 100k nodes expected for exascale operations remains
-challenging.
-
-PMI Exascale (PMIx) represents an attempt to resolve these questions by
-providing an extended version of the PMI standard specifically designed to
-support clusters up to and including exascale sizes. The overall objective of
-the project is not to branch the existing pseudo-standard definitions - in
-fact, PMIx fully supports both of the existing PMI-1 and PMI-2 APIs - but
-rather to (a) augment and extend those APIs to eliminate some current
-restrictions that impact scalability, and (b) provide a reference
-implementation of the PMI-server that demonstrates the desired level of
-scalability.
+Exascale version of PMI.
 
 


Requires
--------
pmix-devel (rpmlib, GLIBC filtered):
    libpmix.so.2()(64bit)
    pmix(x86-64)

pmix-debuginfo (rpmlib, GLIBC filtered):

pmix (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libevent-2.0.so.5()(64bit)
    libevent_pthreads-2.0.so.5()(64bit)
    libhwloc.so.5()(64bit)
    libm.so.6()(64bit)
    libmunge.so.2()(64bit)
    libsasl2.so.3()(64bit)
    rtld(GNU_HASH)



Provides
--------
pmix-devel:
    pmix-devel
    pmix-devel(x86-64)

pmix-debuginfo:
    pmix-debuginfo
    pmix-debuginfo(x86-64)

pmix:
    libpmix.so.2()(64bit)
    pmix
    pmix(x86-64)



Source checksums
----------------
https://raw.githubusercontent.com/pmix/tarballs/master/pmix-1.1.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 251ab27bd097a40a086481fa015050d9c51a3b63a4df7656bfe6afaae3b32299
  CHECKSUM(SHA256) upstream package : 251ab27bd097a40a086481fa015050d9c51a3b63a4df7656bfe6afaae3b32299


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1282575
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Orion Poplawski 2016-03-08 12:38:24 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/pmix.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/pmix-1.1.3-1.el7.src.rpm

* Tue Mar 8 2016 Orion Poplawski <orion@cora.nwra.com> - 1.1.3-1
- Update to 1.1.3
Comment 3 Antonio Trande 2016-03-08 12:48:20 EST
Package approved.
Comment 4 Gwyn Ciesla 2016-03-09 08:49:27 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pmix
Comment 5 Orion Poplawski 2016-03-09 12:49:21 EST
Checked in an built.  Thanks everyone.

Note You need to log in before you can comment on or make changes to this bug.